FROM golang:1.11
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY payapi /go/bin/
COPY payapi.yaml /go/bin/
COPY image /go/bin/image/
COPY yamls /go/bin/yamls/
RUN chmod +x /go/bin/payapi
WORKDIR /go/bin/

CMD ["/go/bin/payapi"]

#EXPOSE 8081
